/*swich选择框*/
.switch,
.switch * {
    -khtml-user-select: none;
    -ms-user-select: none
}

.switch label {
    cursor: pointer;
    color: #888;
    #
}

.switch label input[type=checkbox] {
    opacity: 0;
    width: 0;
    height: 0
}

.switch label input[type=checkbox]:checked+.lever {
    background-color: #c4def2
}

.switch label input[type=checkbox]:checked+.lever:after,
input[type=range]+.thumb {
    background-color: #42A5F5
}

.switch label .lever {
    content: "";
    display: inline-block;
    position: relative;
    width: 40px;
    height: 15px;
    background-color: #818181;
    border-radius: 15px;
    -webkit-transition: background .3s ease;
    transition: background .3s ease;
    vertical-align: sub;
    margin: 0 px
}

.switch label .lever:after {
    content: "";
    position: absolute;
    display: inline-block;
    width: 21px;
    height: 21px;
    background-color: #F1F1F1;
    border-radius: 21px;
    box-shadow: 0 1px 3px 1px rgba(0, 0, 0, .4);
    left: -5px;
    top: -3px;
    -webkit-transition: left .3s ease, background .3s ease, box-shadow .1s ease;
    transition: left .3s ease, background .3s ease, box-shadow .1s ease
}

input[type=checkbox]:checked:not(:disabled)~.lever:active:after {
    box-shadow: 0 1px 3px 1px rgba(0, 0, 0, .4), 0 0 0 15px rgba(66, 165, 245, .1)
}

input[type=checkbox]:not(:disabled)~.lever:active:after {
    box-shadow: 0 1px 3px 1px rgba(0, 0, 0, .4), 0 0 0 15px rgba(0, 0, 0, .08)
}

.switch label input[type=checkbox]:checked+.lever:after {
    left: 24px
}

.switch input[type=checkbox][disabled]+.lever {
    cursor: default
}

.switch label input[type=checkbox][disabled]+.lever:after,
.switch label input[type=checkbox][disabled]:checked+.lever:after {
    background-color: #BDBDBD
}
 .switch{padding-top:5px;padding-bottom:10px}
/*按钮点击渐变样式*/

.waves-effect {
     position: relative;
     cursor: pointer;
     display: inline-block;
     overflow: hidden;
     -ms-user-select: none;
     user-select: none;
     -webkit-tap-highlight-color: transparent;
     z-index: 1;
     will-change: opacity, transform;
     -webkit-transition: all .3s ease-out;
     transition: all .3s ease-out
 }
 
 .select-wrapper input.select-dropdown:disabled,
 .switch,
 .switch *,
 .waves-effect,
 [type=checkbox]+label {
     -webkit-user-select: none;
     -moz-user-select: none
 }
 
 .waves-effect .waves-ripple {
     position: absolute;
     border-radius: 50%;
     width: 20px;
     height: 20px;
     margin-top: -10px;
     margin-left: -10px;
     opacity: 0;
     background: rgba(0, 0, 0, .2);
     -webkit-transition: all .7s ease-out;
     transition: all .7s ease-out;
     -webkit-transform: scale(0);
     -ms-transform: scale(0);
     transform: scale(0);
     pointer-events: none
 }
 
 .waves-circle,
 .yaybar {
     -webkit-transform: translateZ(0)
 }
 
 .waves-effect.waves-light .waves-ripple {
     background-color: rgba(255, 255, 255, .45)
 }
 
 .waves-effect.waves-red .waves-ripple {
     background-color: rgba(244, 67, 54, .7)
 }
 
 .waves-effect.waves-yellow .waves-ripple {
     background-color: rgba(255, 235, 59, .7)
 }
 
 .waves-effect.waves-orange .waves-ripple {
     background-color: rgba(255, 152, 0, .7)
 }
 
 .waves-effect.waves-purple .waves-ripple {
     background-color: rgba(156, 39, 176, .7)
 }
 
 .waves-effect.waves-green .waves-ripple {
     background-color: rgba(76, 175, 80, .7)
 }
 
 .waves-effect.waves-pink .waves-ripple {
     background-color: rgba(233, 30, 99, .7)
 }
 
 .waves-effect.waves-deep-purple .waves-ripple {
     background-color: rgba(103, 58, 183, .7)
 }
 
 .waves-effect.waves-indigo .waves-ripple {
     background-color: rgba(63, 81, 181, .7)
 }
 
 .waves-effect.waves-blue .waves-ripple {
     background-color: rgba(33, 150, 243, .7)
 }
 
 .waves-effect.waves-light-blue .waves-ripple {
     background-color: rgba(3, 169, 244, .7)
 }
 
 .waves-effect.waves-cyan .waves-ripple {
     background-color: rgba(0, 188, 212, .7)
 }
 
 .waves-effect.waves-teal .waves-ripple {
     background-color: rgba(0, 150, 136, .7)
 }
 
 .waves-effect.waves-light-green .waves-ripple {
     background-color: rgba(139, 195, 74, .7)
 }
 
 .waves-effect.waves-lime .waves-ripple {
     background-color: rgba(205, 220, 57, .7)
 }
 
 .waves-effect.waves-amber .waves-ripple {
     background-color: rgba(255, 193, 7, .7)
 }
 
 .waves-effect.waves-deep-orange .waves-ripple {
     background-color: rgba(255, 87, 34, .7)
 }
 
 .waves-effect.waves-brown .waves-ripple {
     background-color: rgba(121, 85, 72, .7)
 }
 
 .waves-notransition {
     -webkit-transition: none!important;
     transition: none!important
 }
 
 .waves-input-wrapper {
     border-radius: .2em;
     vertical-align: bottom
 }
 
 .waves-input-wrapper .waves-button-input {
     position: relative;
     top: 0;
     left: 0;
     z-index: 1
 }
 
 .waves-circle {
     transform: translateZ(0);
     text-align: center;
     width: 2.5em;
     height: 2.5em;
     line-height: 2.5em;
     border-radius: 50%;
     -webkit-mask-image: none
 }
 
 .waves-circle>i {
     line-height: 1.6em
 }
 
 .waves-block {
     display: block
 }
 
 .waves-effect.sp-cancel .waves-ripple,
 a.waves-effect .waves-ripple {
     z-index: -1
 }


.btn{
     box-shadow: 0 1px 2px rgba(0, 0, 0, .26);
}
.btn-flat,
.btn-large,
.fc button,
.sp-container button {
    border: none;
    border-radius: 2px;
    display: inline-block;
    height: 36px;
    line-height: 36px;
    outline: 0;
    padding: 0 3rem;
    text-transform: uppercase;
    vertical-align: middle;
    -webkit-tap-highlight-color: transparent
}

.btn i,
.btn-flat i,
.btn-floating i,
.btn-large i,
.fc button i,
.sp-container button i {
    font-size: 1.3rem;
    line-height: inherit
}

.btn-flat {
    box-shadow: none;
    background-color: transparent;
    color: #343434;
    cursor: pointer
}

.btn-flat.disabled {
    color: #b3b3b3
}
.btn-large:hover,
.btn:hover,
.fc button.fc-state-hover,
.fc button:hover,
.sp-container button:hover {
    /*background-color: #5ab1f6;*/
    box-shadow: 0 2px 5px rgba(0, 0, 0, .4)
}
.btn:hover{
      background-color: #5ab1f6;
  box-shadow: 0 2px 5px rgba(0, 0, 0, .4);
}